Bug 967382 - RFE: Export sorted glossary and option to to enable ordered output in numerous languages and various contexts [NEEDINFO]
RFE: Export sorted glossary and option to to enable ordered output in numerou...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Deployment (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 19:26 EDT by Isaac Rooskov
Modified: 2015-08-06 01:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:12:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sflaniga: needinfo? (irooskov)
sflaniga: needinfo? (aeng)
dchen: needinfo? (irooskov)


Attachments (Terms of Use)
Example layput of a technical Japanese Glossary (168.17 KB, image/png)
2013-06-02 18:20 EDT, Isaac Rooskov
no flags Details

  None (edit)
Description Isaac Rooskov 2013-05-26 19:26:17 EDT
Zanata Glossary needs to be upgraded so the entire glossary can be exported, in order, for any language (For Japanese this would mean attaching and ordering via Hiragana metadata of each word).

We also need to be able to have context definitions of words (as technical terms may be used differently across business units).
Comment 1 Isaac Rooskov 2013-05-26 19:26:43 EDT
Amazon uses the above mentioned Japanese solution
Comment 2 Sean Flanigan 2013-05-26 20:13:32 EDT
Now that we have glossary editing in Zanata, we certainly should allow users to export their glossaries.  Incidentally, we also need to make the glossary edit feature a lot easier to find - it's currently behind an Info button in the Details column.

I assume we want to export PO and CSV (our supported input formats).

Isaac, do you have a reference for the information about Amazon's glossary?
Comment 3 Sean Flanigan 2013-05-26 20:17:24 EDT
Alex, regarding the "context definitions of words" requirement, this is broadly similar to the "part of speech" in Google's CSV format: https://support.google.com/translate/toolkit/answer/147854?hl=en

How are we representing the CSV fields (including part of speech) in the Glossary UI?
Comment 4 Isaac Rooskov 2013-06-02 18:19:34 EDT
Hey Sean, I'll see what info I can gather on Amazon's implementation. 

In the mean time, some further suggestions for implementation have come from some of our translators:

- Ability to have multiple entries for each single terminology. As you can see on the attachment, the word "destination" are translated in many different ways, depending on the usage, context or product.

- Ability to enter terminology consists of multiple words. For example "hot plug" "embedded database".

- Applicable product filed - the same terminology can be translated differently depending on the product. For example, JBoss in Japan might request us to translate a term in a certain way, which might be different from what we are requested to uses for RHEV. If the translation does not vary, we can simply leave that field empty.

- Definition / description field: This would be useful when a term has multiple meanings. Translators can read this information to see if the particular translation is adequate for the usage/context in the document he/she is translating. It can also be used to add some extra information that can be useful for translation. (e.g. web link)

- Grammatical information (word class / grammatical categories) field - Some word can be used as noun as well as adjective and verb, but the translation should be different. (e.g. "file" can be both noun and verb)
When entering multiple translation for single term, this would be very useful.
Comment 5 Isaac Rooskov 2013-06-02 18:20:31 EDT
Created attachment 756121 [details]
Example layput of a technical Japanese Glossary
Comment 6 Ding-Yi Chen 2014-03-17 19:46:38 EDT
(In reply to Isaac Rooskov from comment #0)
> Zanata Glossary needs to be upgraded so the entire glossary can be exported,
> in order, for any language (For Japanese this would mean attaching and
> ordering via Hiragana metadata of each word).

1. Some languages, like Chinese, have different way to sort words,
(Pinyin, Strokes, Radical-Strokes), will the selection of collation be include in this bug?

> 
> We also need to be able to have context definitions of words (as technical
> terms may be used differently across business units).

2. As Sean pointed out, it largely depend the export formats:
   a. For PO, is compendium format 
(https://www.gnu.org/software/gettext/manual/html_node/Compendium.html#Compendium)
   Sufficient?
   b. For CSV, should we also include project name and msgctx?
Comment 10 Damian Jansen 2015-07-13 20:21:06 EDT
Reassigned to PM
Comment 11 Zanata Migrator 2015-07-28 22:12:15 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-153

Note You need to log in before you can comment on or make changes to this bug.